/* ========================= DATATABLES ========================= */
[data-bs-theme="dark"] table.dataTable tbody td {
    color: #dcdcdc !important;
}
[data-bs-theme="dark"] .dataTables_wrapper .dataTables_info,
[data-bs-theme="dark"] .dataTables_wrapper .dataTables_paginate,
[data-bs-theme="dark"] .dataTables_wrapper .dataTables_length label,
[data-bs-theme="dark"] .dataTables_wrapper .dataTables_filter label {
    color: #cccccc !important;
}

/* Ukuran font dan warna default datatable */
table.dataTable {
    font-size: 12px;
    color: #495057;
}

/* Dark mode datatable */
[data-bs-theme="dark"] table.dataTable {
    color: #cfcfcf;
}

/* Gaya header tabel */
table.dataTable thead th {
    text-align: center;
    position: relative;
    border-top: 1px solid #dee2e6;
    border-bottom: 5px solid #dee2e6;
}
[data-bs-theme="dark"] table.dataTable thead th {
    color: #e0e0e0;
}

/* Table */
.table {
    background-color: transparent;
}
[data-bs-theme="dark"] .table {
    color: #dcdcdc;
}

/* Warna tombol pagination */
.dataTables_wrapper .dataTables_paginate .paginate_button.current {
    background-color: #FFC107 !important;
    color: white !important;
    border-color: #FFC107 !important;
}
.dataTables_wrapper .dataTables_paginate .paginate_button {
    background-color: #f8f9fa;
    color: #FFC107;
    border: 1px solid #dee2e6;
    margin: 0 2px;
}
.dataTables_wrapper .dataTables_paginate .paginate_button:hover {
    background-color: #e9ecef;
    color: #FFC107;
    border-color: #dee2e6;
}

/* Tampilan select length */
.dataTables_length select {
    margin: 0 5px;
    width: 60px;
    max-width: 60px;
    padding: 2px 8px;
}
.dataTables_length label {
    display: flex;
    align-items: center;
}

/* Atur wrapper datatable */
.dataTables_wrapper .dataTables_length,
.dataTables_wrapper .dataTables_filter {
    display: inline-flex;
    align-items: center;
    margin-bottom: 10px;
}
.dataTables_wrapper .dataTables_filter {
    margin-left: auto;
}
.dataTables_wrapper .dataTables_length {
    margin-right: 20px;
}
.dataTables_wrapper .dataTables_filter input {
    width: 200px;
    padding: 5px;
    margin-left: 5px;
    border: 1px solid #007bff;
}